<?php

namespace App\Exceptions;

use Illuminate\Http\JsonResponse;

class UserNotFoundApiException extends ApiException
{
    public function render(): JsonResponse
    {
        $output = self::baseResponse();
        $output['error'] = true;
        $output['status'] = 404;
        $output['message'] = 'User not found';
        $output['errors'][] = $output['message'];

        return response()->json($output)->setStatusCode($output['status']);
    }
}
