<?php

use App\Models\User;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

// Traer usario a traves del user ID
Route::get('/users/{id}', function (int $id) {
   return User::find($id);
});

// Traer usuario usando Model binding
Route::get('/users-binding/{user}', function (User $user) {
    return $user;
});

// Traer usuario usando Model binding con el email en lugar del id
Route::get('/users-binding-email/{user:email}', function (User $user) {
    return $user;
});
