<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    private const TABLE = 'users';

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::connection('mysql')->table(self::TABLE, function (Blueprint $table) {
            $table->string('lastname', 60)
                ->after('name');

            $table->date('birthdate')
                ->after('lastname');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::connection('mysql')->table(self::TABLE, function (Blueprint $table) {
            $table->dropColumn([
                'lastname',

            ]);
        });
    }
};
